## horde 1.2.6-0.potato.5

=== debian/changelog ===
horde (2:1.2.6-0.potato.5) stable; urgency=high

  * Cross site scripting vulneraility fixed, closes: #142209.

 -- Ola Lundqvist <opal@debian.org>  Thu, 11 Apr 2002 11:02:38 +0100

horde (2:1.2.6-0.potato.4) stable; urgency=low

  * No this is not unstable, it is stable. Thanks Wichert for pointing
    this out.

 -- Ola Lundqvist <opal@debian.org>  Wed, 15 Aug 2001 17:24:23 +0200

horde (2:1.2.6-0.potato.3) unstable; urgency=low

  * Fixed postgres problem, closes: #108396.

 -- Ola Lundqvist <opal@debian.org>  Tue, 14 Aug 2001 10:09:49 +0200

horde (2:1.2.6-0.potato.2) unstable; urgency=low

  * Applied the previous patches. The security fix was implemented a bit
    too fast, closes: #108409, #108480.
  * Changed ct_sql.inc so that it uses microtime instead. Thanks to
    Thomas R. Shemanske <trs@hecke.dartmouth.edu>,
    closes: #108501, #108396.

 -- Ola Lundqvist <opal@debian.org>  Fri, 10 Aug 2001 09:26:24 +0200

horde (2:1.2.6-0.potato.1) unstable; urgency=low

  * New upstream version, SECURITY fix.
  * New maintainer information, have been new maintainer for the unstable
    version for quite some time.
  * Fix permissions. Scripts writable by www-data, SECURITY fix.

 -- Ola Lundqvist <opal@debian.org>  Mon,  6 Aug 2001 10:11:42 +0200

horde (2:1.2.3-0.potato.4) stable; urgency=low
 
  * Fixing problem with restarting of "none" web server (Closes: #74883)
    (this bug left the isntall process hung and thus is a RC bug)

 -- Ivan E. Moore II <rkrusty@debian.org>  Thu, 16 Nov 2000 14:30:00 -0700

horde (2:1.2.3-0.potato.3) unstable; urgency=low
 
  * Cleaning up package and providing a .orig
 
 -- Ivan E. Moore II <rkrusty@debian.org>  Thu, 05 Oct 2000 22:00:00 -0700
                                                                                

horde (2:1.2.3-0) unstable; urgency=low
 
  * New upstream version
 
 -- Ivan E. Moore II <rkrusty@debian.org>  Thu, 05 Oct 2000 15:00:00 -0700
                                                                                

horde (2:1.2.2-6) unstable; urgency=low
 
  * More upstream fixes
 
 -- Ivan E. Moore II <rkrusty@debian.org>  Wed, 04 Oct 2000 23:30:00 -0700
                                                                                

horde (2:1.2.2-5) unstable; urgency=low
 
  * More upstream fixes
 
 -- Ivan E. Moore II <rkrusty@debian.org>  Sun, 01 Oct 2000 22:30:00 -0700

horde (2:1.2.2-4) unstable; urgency=low
 
  * More upstream fixes
  * Fixed session ID validation for PHPLIB with shared memory.
 
 -- Ivan E. Moore II <rkrusty@debian.org>  Thu, 28 Sep 2000 04:50:00 -0700

horde (2:1.2.2-3) unstable; urgency=low
 
  * Fixing broken postinst
  * Fixing pgsql_cuser.sh script...adding "'s around $1 and $2 variables
 
 -- Ivan E. Moore II <rkrusty@debian.org>  Fri, 22 Sep 2000 14:50:00 -0700

horde (2:1.2.2-2) unstable; urgency=low
 
  * More upstream fixes
  * Cleaning up installation process
 
 -- Ivan E. Moore II <rkrusty@debian.org>  Thu, 21 Sep 2000 02:00:00 -0700

horde (2:1.2.2-1) unstable; urgency=low
 
  * New Upstream Security Fix for mailfrom problems part 2 (Closes: #71974)
 
 -- Ivan E. Moore II <rkrusty@debian.org>  Mon, 18 Sep 2000 16:45:00 -0700

horde (2:1.2.1-2) unstable; urgency=low

  * Fixing a typo in update-horde (Closes: #71335)

 -- Ivan E. Moore II <rkrusty@debian.org>  Mon, 11 Sep 2000 00:15:00 -0700

horde (2:1.2.1-1) unstable; urgency=low

  * More upstream fixes for mailfrom problems
  * Session security fixes

 -- Ivan E. Moore II <rkrusty@debian.org>  Sun, 10 Sep 2000 01:10:00 -0700

horde (2:1.2.1-0) unstable; urgency=low
 
  * Upstream Security fix update
  * Fixes problem reported on BUGTRAQ
 
 -- Ivan E. Moore II <rkrusty@debian.org>  Sat, 09 Sep 2000 01:10:00 -0700

horde (2:1.2.0-14) unstable; urgency=low
 
  * More upstream fixes
  * Fixing some charset issues
  * Adding a web group option
 
 -- Ivan E. Moore II <rkrusty@debian.org>  Thu, 07 Sep 2000 19:30:00 -0700

horde (2:1.2.0-13) unstable; urgency=low

  * Adding in default charset for Russian language
  * Fixing postinst issue with postgress and Return question

 -- Ivan E. Moore II <rkrusty@debian.org>  Tue, 05 Sep 2000 02:00:00 -0700

horde (2:1.2.0-12) unstable; urgency=low
 
  * Fixing servers.php3 include problem (Closes: #69843)
 
 -- Ivan E. Moore II <rkrusty@debian.org>  Fri, 25 Aug 2000 00:15:00 -0700
                                                                                

horde (2:1.2.0-11) unstable; urgency=low
 
  * Official 1.2.0 release with more bug fixes
 
 -- Ivan E. Moore II <rkrusty@debian.org>  Tue, 22 Aug 2000 01:45:00 -0700
                                                                                

horde (2:1.2.0-10) unstable; urgency=low
 
  * Fixing pathing issue with help.php3
  * More upstream fixes
 
 -- Ivan E. Moore II <rkrusty@debian.org>  Sun, 20 Aug 2000 16:00:00 -0700

horde (2:1.2.0-9) unstable; urgency=low
 
  * Round 2 on this fix. (Closes: #69208, #69114)
 
 -- Ivan E. Moore II <rkrusty@debian.org>  Tue, 15 Aug 2000 20:00:00 -0700

horde (2:1.2.0-8.1) unstable; urgency=low

  * Fixing a typo in ct_sql.inc (Closes: #69076)

 -- Ivan E. Moore II <rkrusty@debian.org>  Sun, 13 Aug 2000 21:30:00 -0700

horde (2:1.2.0-8) unstable; urgency=low

  * Adding in ct_sql.inc phplib fix (Closes: #68962)

 -- Ivan E. Moore II <rkrusty@debian.org>  Sat, 12 Aug 2000 05:30:00 -0700

horde (2:1.2.0-7) unstable; urgency=low

  * Minor fixes and updates

 -- Ivan E. Moore II <rkrusty@debian.org>  Wed, 9 Aug 2000 00:30:00 -0700

horde (2:1.2.0-6) frozen unstable; urgency=low

  * Fixes the following RC bugs:
    php4 in potato doesn't have proper functions so adding a version
      dependency for the correct version of php4 (Closes: #67392)   
  * Adding in more documentation into the debconf process 
  * Adding in a warning in the description field and into debconf to
    warn about having a database preconfigured

 -- Ivan E. Moore II <rkrusty@debian.org>  Tue, 18 Jul 2000 18:00:00 -0700


