=== debian/control ===
Source: horde
Section: web
Priority: optional
Maintainer: Ola Lundqvist <opal@debian.org>
Standards-Version: 3.1.1

Package: horde
Architecture: all
Pre-Depends: debconf (>= 0.2.78)
Replaces: horde-core
Depends: php3 | php4 (>= 4.0b4), httpd, postgresql-client | mysql-client, php3-pgsql | php3-mysql | php4-pgsql | php4-mysql, sed, grep, binutils, ${perl:Depends}
Suggests: apache, libapache-mod-ssl, imp, mail-transport-agent, postgresql | mysql-server
Conflicts: horde-core
Description: Core elements for the Horde Web Application Suite
 A set of PHP3 scripts that implement an web based application suite.
 .
 This package is required to run other programs such as IMP which is
 a web based IMAP client.  Other applications will follow as soon
 as they are functional.
 .
 PLEASE NOTE, you must have either a database setup locally or remotely prior
 to installing this package otherwise the install could fail.
